Windows: Can't enable addon in latest Blender

Use this forum for general user support and related questions.
Forum rules
Please upload a testscene that allows developers to reproduce the problem, and attach some images.
User avatar
B.Y.O.B.
Developer
Posts: 3981
Joined: Mon Dec 04, 2017 10:08 pm
Location: Germany
Contact:

Windows: Can't enable addon in latest Blender

Post by B.Y.O.B. » Tue Jan 09, 2018 3:06 pm

Windows 7 64 bit
BlendLuxCore-win64-opencl.zip

When I try to enable the addon in the latest 64bit Blender build from https://builder.blender.org/download/, I get this error message:

Code: Select all

Traceback (most recent call last):
  File "F:\Users\Simon_2\ProgrammeHDD\Blender\blender-2.79.0-git.8760725-windows
64\2.79\scripts\modules\addon_utils.py", line 331, in enable
    mod = __import__(module_name)
  File "F:\Users\Simon_2\AppData\Roaming\Blender Foundation\Blender\2.79\scripts
\addons\BlendLuxCore\__init__.py", line 2, in <module>
    from .bin import pyluxcore
ImportError: DLL load failed: Das angegebene Modul wurde nicht gefunden.
The error message is as always not very helpful.
Reminds me a bit of viewtopic.php?p=98#p98

I double checked that I have all the required binaries/DLLs.
LuxBlend is also disabled.

If I use the last official Blender 2.79 release, it works!
So probably something in Blender changed in the meantime.

User avatar
Dade
Developer
Posts: 4977
Joined: Mon Dec 04, 2017 8:36 pm
Location: Italy

Re: Windows: Can't enable addon in latest Blender

Post by Dade » Tue Jan 09, 2018 3:19 pm

I have tried to install on Linux and obtained a Blender crash. But after re-starting Blender, everything was working fine, including BlendLuxCore.

Going to try on Windows.
Support LuxCoreRender project with salts and bounties

User avatar
B.Y.O.B.
Developer
Posts: 3981
Joined: Mon Dec 04, 2017 10:08 pm
Location: Germany
Contact:

Re: Windows: Can't enable addon in latest Blender

Post by B.Y.O.B. » Tue Jan 09, 2018 3:33 pm

I find these DLL load problems very hard to debug.
Could it be a Python version mismatch?
Latest buildbot Blender uses 3.6.2

If we don't manage to fix this bug today, we can also wait for the first testbuild of Blender 2.79a.
Bastien Montagne said it is planned to be released tomorrow, on 10.01.18: https://www.blendernation.com/2018/01/0 ... 018-01-08/
I guess it will use the same Python as 2.79 did.
Goal is to make a testbuild on Wednesday (note that we cannot use
buildbot for those, because some libraries were updated since 2.79
release…).

User avatar
Dade
Developer
Posts: 4977
Joined: Mon Dec 04, 2017 8:36 pm
Location: Italy

Re: Windows: Can't enable addon in latest Blender

Post by Dade » Tue Jan 09, 2018 3:43 pm

B.Y.O.B. wrote:
Tue Jan 09, 2018 3:33 pm
Latest buildbot Blender uses 3.6.2
The binaries are compiled for Python 3.5 like previous version of Blender was. Is this the first Blender version to use Python 3.6 instead of 3.5 ?

This is the list of dependencies on Windows. It requires python35.dll and I assume Blender buildbot has only python36.dll :?:

Code: Select all

dumpbin /dependents pyluxcore.pyd
Microsoft (R) COFF/PE Dumper Version 12.00.31101.0
Copyright (C) Microsoft Corporation.  All rights reserved.


Dump of file pyluxcore.pyd

File Type: DLL

  Image has the following dependencies:

    KERNEL32.dll
    embree.dll
    OpenImageIO.dll
    OPENGL32.dll
    OpenCL.dll
    MSVCP120.dll
    python35.dll
    MSVCR120.dll
    USER32.dll
    VCOMP120.DLL

  Summary

      1CD000 .data
       35000 .pdata
      796000 .rdata
        D000 .reloc
        1000 .rsrc
      352000 .text
        1000 .tls

Support LuxCoreRender project with salts and bounties

User avatar
B.Y.O.B.
Developer
Posts: 3981
Joined: Mon Dec 04, 2017 10:08 pm
Location: Germany
Contact:

Re: Windows: Can't enable addon in latest Blender

Post by B.Y.O.B. » Tue Jan 09, 2018 3:49 pm

Dade wrote:
Tue Jan 09, 2018 3:43 pm
Is this the first Blender version to use Python 3.6 instead of 3.5 ?
They changed it in master because Blender 2.8 will use 3.6.
But as I said, I think the 2.79a build will probably use 3.5 again.
... so I would say let's wait for the testbuild of 2.79a tomorrow.

edit: If I copy python35.dll to pyluxcore.pyd, I get

Code: Select all

ImportError: Module use of python35.dll conflicts with this version of Python.
So we would have to recompile pyluxcore.

User avatar
Dade
Developer
Posts: 4977
Joined: Mon Dec 04, 2017 8:36 pm
Location: Italy

Re: Windows: Can't enable addon in latest Blender

Post by Dade » Tue Jan 09, 2018 4:03 pm

B.Y.O.B. wrote:
Tue Jan 09, 2018 3:49 pm
But as I said, I think the 2.79a build will probably use 3.5 again.
Yes, it would be very strange to change Python version between 2.79 and 2.79a.
B.Y.O.B. wrote:
Tue Jan 09, 2018 3:49 pm
edit: If I copy python35.dll to pyluxcore.pyd, I get

Code: Select all

ImportError: Module use of python35.dll conflicts with this version of Python.
So we would have to recompile pyluxcore.
I was going to try the same trick. I guess linux allows to mix different python versions because I tried again and it works fine.
Support LuxCoreRender project with salts and bounties

User avatar
B.Y.O.B.
Developer
Posts: 3981
Joined: Mon Dec 04, 2017 10:08 pm
Location: Germany
Contact:

Re: Windows: Can't enable addon in latest Blender

Post by B.Y.O.B. » Tue Jan 09, 2018 4:23 pm

I extended the note on the download page a bit: https://luxcorerender.org/download/
The addon loads correctly in official 2.79, but you will be affected by the bug https://github.com/LuxCoreRender/BlendLuxCore/issues/12.
However, for a quick test this should not matter much.

gecko
Posts: 31
Joined: Mon Jan 01, 2018 11:10 pm

Re: Windows: Can't enable addon in latest Blender

Post by gecko » Sat Jan 13, 2018 1:50 am

Not sure if it's the same issue or not, but I was getting that same error while testing a few builds tonight under the following circumstances:
- if an old copy of luxrender was anywhere on the computer, regardless of luxcore installation method.
- if I manually placed files in the addon folder (or created a simlink). "installing from zip" using the exact same files that I zipped up and let Blender place in to the exact same directory eliminated the error.
- if I used any of the Blender test builds instead of the current stable release, regardless of luxcore installation method.

Same behavior on two different computers, one running Win10 x64, one running Win7 x64.

User avatar
B.Y.O.B.
Developer
Posts: 3981
Joined: Mon Dec 04, 2017 10:08 pm
Location: Germany
Contact:

Re: Windows: Can't enable addon in latest Blender

Post by B.Y.O.B. » Sat Jan 13, 2018 12:04 pm

I hope that Blender 2.79a will solve these issues.

blibli
Posts: 29
Joined: Thu Jan 18, 2018 2:52 pm

Re: Windows: Can't enable addon in latest Blender

Post by blibli » Sat Jan 20, 2018 6:01 pm

Would it be possible to build both a 3.5 and 3.6 version? I'm pretty sure 2.79a will use latest svn with all deps updated because of the vulnerabilities fuzz/scandal.

Post Reply